Skip to main content
GET
/
link
cURL
curl --request GET \
  --url https://api.cme.sh/link \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cme.sh/link"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cme.sh/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "data": {
    "pageInfo": {
      "cursor": 123,
      "hasNext": true,
      "pageNumber": 123,
      "pageSize": 123,
      "totalCount": 123,
      "totalPages": 123
    },
    "list": [
      {
        "_id": "<string>",
        "workspaceId": "<string>",
        "shortUrl": "<string>",
        "longUrl": "<string>",
        "linkActive": true,
        "tags": [
          "<string>"
        ],
        "totalClicks": 123,
        "destinationUrlMetaData": {
          "author": "<string>",
          "description": "<string>",
          "image": "<string>",
          "logo": "<string>",
          "publisher": "<string>",
          "title": "<string>",
          "url": "<string>",
          "metaTags": "<string>",
          "date": "2023-11-07T05:31:56Z"
        },
        "createdBy": "<string>",
        "modifiedBy": "<string>",
        "createdDate": "2023-11-07T05:31:56Z"
      }
    ]
  }
}
{
"status": true,
"errors": [
{
"code": "<string>",
"errorMessage": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workspaceId
string
required

The Id of the workspace The Id of the workspace.

Example:

"d7sfsfffusf6tss"

pageSize
integer<int32>
default:10

Number of Links in a page. Defaults to 10

cursor
integer<int32>
default:0

Cursor. Defaults to 0

orderType
string
default:desc

Order in which data is returned. With options asc and desc. Defaults to desc

orderBy
string
default:createdDate

Field on which data is ordered. Defaults to createdDate

Response

Links response

status
boolean
data
object